We use these services and cookies to improve your user experience. You may opt out if you wish, however, this may limit some features on this site.

Please see our statement on Data Privacy.

Zendesk (Helpdesk and Chat)
Ok

THREATINT
PUBLISHED

CVE-2024-21618

Junos OS and Junos OS Evolved: When LLDP is enabled and a malformed LLDP packet is received, l2cpd crashes

Reserved:2023-12-27
Published:2024-04-12
Updated:2024-05-16

Description

An Access of Memory Location After End of Buffer vulnerability in the Layer-2 Control Protocols Daemon (l2cpd) of Juniper Networks Junos OS and Junos OS Evolved allows an adjacent, unauthenticated attacker to cause Denial of Service (DoS). On all Junos OS and Junos OS Evolved platforms, when LLDP is enabled on a specific interface, and a malformed LLDP packet is received, l2cpd crashes and restarts. The impact of the l2cpd crash is reinitialization of STP protocols (RSTP, MSTP or VSTP), and MVRP and ERP. Also, if any services depend on LLDP state (like PoE or VoIP device recognition), then these will also be affected. This issue affects: Junos OS: * from 21.4 before 21.4R3-S4,  * from 22.1 before 22.1R3-S4,  * from 22.2 before 22.2R3-S2,  * from 22.3 before 22.3R2-S2, 22.3R3-S1,  * from 22.4 before 22.4R3,  * from 23.2 before 23.2R2. Junos OS Evolved: * from 21.4-EVO before 21.4R3-S5-EVO,  * from 22.1-EVO before 22.1R3-S4-EVO,  * from 22.2-EVO before 22.2R3-S2-EVO,  * from 22.3-EVO before 22.3R2-S2-EVO, 22.3R3-S1-EVO,  * from 22.4-EVO before 22.4R3-EVO,  * from 23.2-EVO before 23.2R2-EVO. This issue does not affect: * Junos OS versions prior to 21.4R1; * Junos OS Evolved versions prior to 21.4R1-EVO.



MEDIUM: 6.5CVSS:3.1/AV:A/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Problem types

CWE-788: Access of Memory Location After End of Buffer

Denial of Service (DoS)

Product status

Default status
unaffected

21.4 before 21.4R3-S4
affected

22.1 before 22.1R3-S4
affected

22.2 before 22.2R3-S2
affected

22.3 before 22.3R2-S2, 22.3R3-S1
affected

22.4 before 22.4R3
affected

23.2 before 23.2R2
affected

Any version before 21.4R1
unaffected

Default status
unaffected

21.4-EVO before 21.4R3-S5-EVO
affected

22.1-EVO before 22.1R3-S4-EVO
affected

22.2-EVO before 22.2R3-S2-EVO
affected

22.3-EVO before 22.3R2-S2-EVO, 22.3R3-S1-EVO
affected

22.4-EVO before 22.4R3-EVO
affected

23.2-EVO before 23.2R2-EVO
affected

Any version before 21.4R1-EVO
unaffected

Timeline

2024-04-10:Initial Publication

References

https://supportportal.juniper.net/JSA75759 vendor-advisory

https://www.first.org/cvss/calculator/4.0#CVSS:4.0/AV:A/AC:L/AT:N/PR:N/UI:N/VC:N/VI:N/VA:H/SC:N/SI:N/SA:L technical-description

cve.org CVE-2024-21618

nvd.nist.gov CVE-2024-21618

Download JSON

Share this page
https://cve.threatint.com/CVE/CVE-2024-21618